:root {
    --primary: #0077ff;
    --primary-dark: #0066db;
    --primary-darker: #004ba3;
    --dark: #2a2d29;
    --extra-dark: #1b1d1a;
    --light: #f8f8f8;
    --neutral: #e9e9e9;
    --banner-h: 0px;

    --secondary: #1b2a33;
    --secondary-light: #2c3338;
    --secondary-dark: #0c141a;

    --success: #28a745;
    --warning: #ffc107;
    --error: #dc3545;
}

body {
    font-family: 'Montserrat', sans-serif;
    background-color: var(--white);
    color: var(--dark);
    margin-top: calc(var(--banner-h, 0px) + 106px);
}

@media (max-width: 767px) {
    body {
        margin-top: calc(var(--banner-h, 0px) + 56px);
    }
}

#header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 9999;
}

.bg-primary {
    background-color: var(--primary);
}

.bg-primary-dark {
    background-color: var(--primary-dark);
}

.bg-primary-darker {
    background-color: var(--primary-darker);
}

.bg-secondary {
    background-color: var(--secondary);
}

.bg-dark {
    background-color: var(--dark);
}

.bg-neutral {
    background-color: var(--neutral);
}

.bg-light {
    background-color: var(--light);
}

.bg-brand-gradient {
    background: linear-gradient(90deg,
            var(--primary-darker),
            var(--primary),
            var(--primary-dark));
    color: #fff;
}

.btn-brand {
    color: #fff;
    border: none;
    background: linear-gradient(90deg,
            var(--primary-darker),
            var(--primary),
            var(--primary-dark));
    background-size: 200%;
    transition: background-position .5s ease, box-shadow .3s ease, transform .2s ease;
}

.btn-brand:hover {
    color: #fff;
    background-position: 100%;
}

.btn-brand:active,
.btn-brand:focus {
    color: #fff;
    background: linear-gradient(90deg,
            var(--primary-darker),
            var(--primary-dark));
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--primary);
    --bs-btn-border-color: var(--primary);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--primary-dark);
    --bs-btn-hover-border-color: var(--primary-dark);
    --bs-btn-focus-shadow-rgb: 234, 146, 22;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--primary-darker);
    --bs-btn-active-border-color: var(--primary-darker);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--primary-dark);
    --bs-btn-disabled-border-color: var(--primary-dark);
}

.btn-primary:hover,
.btn-primary:focus {
    background-color: var(--primary-dark);
    border-color: var(--primary-dark);
}

.btn-outline-primary {
    --bs-btn-color: var(--primary);
    --bs-btn-border-color: var(--primary);

    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--primary);
    --bs-btn-hover-border-color: var(--primary);

    --bs-btn-focus-shadow-rgb: 0, 119, 255;

    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--primary-dark);
    --bs-btn-active-border-color: var(--primary-dark);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);

    --bs-btn-disabled-color: var(--primary);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--primary);
}

.btn-outline-primary:hover,
.btn-outline-primary:focus {
    background-color: var(--primary);
    border-color: var(--primary);
    color: #fff;
}

.btn-outline-secondary {
    --bs-btn-color: var(--secondary-light);
    --bs-btn-border-color: var(--secondary-light);

    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--secondary-light);
    --bs-btn-hover-border-color: var(--secondary-light);

    --bs-btn-focus-shadow-rgb: 27, 42, 51;

    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--secondary-light);
    --bs-btn-active-border-color: var(--secondary-light);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);

    --bs-btn-disabled-color: var(--secondary-light);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--secondary-light);
}

.btn-outline-secondary:hover,
.btn-outline-secondary:focus {
    background-color: var(--secondary-light);
    border-color: var(--secondary-light);
    color: #fff;
}

.dropdown-menu {
    background-color: var(--light);
}

.dropdown-item:hover {
    background-color: var(--neutral);
}

.form-control,
.form-select {
    background-color: white;
    border-color: var(--neutral);
}

.bg-light {
    background-color: var(--light) !important;
}

.text-primary {
    color: var(--primary) !important;
}

.text-primary-dark {
    color: var(--primary-dark) !important;
}

.text-primary-darker {
    color: var(--primary-darker) !important;
}

footer {
    background-color: var(--light);
    border-top: 1px solid var(--neutral);
    padding: 20px 0;
}

.border {
    border-color: var(--neutral) !important;
}

.card {
    border-color: var(--neutral);
}

.value-section .step-number {
    width: 48px;
    height: 48px;
    line-height: 48px;
    bottom: -24px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 16px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05);
}

.shadow {
    box-shadow: 0 0.5rem .5rem rgba(0, 0, 0, 0.05) !important;
}

.badge-size {
    width: 80px;
    max-width: 20%;
    height: auto;
}

.nav-tabs .nav-link {
    color: var(--secondary-light);
}

.nav-tabs .nav-link:hover {
    color: var(--secondary-dark);
}

.nav-tabs .nav-link.active {
    color: var(--primary) !important;
    font-weight: 600;
}